Services Q2 2017/18 goal: Migrate a subset of jobs to multi-DC enabled event processing infrastructure.
Closed, ResolvedPublic

Description

Tracking task for Services work towards reliable, multi-datacenter enabled job processing in Q2.

Annual plan:
Program 8: Multi-datacenter support
Outcome 2: Backend infrastructure works reliably across data centers
Objective 1: Reliable, multi-DC job processing

Quarterly objectives for Q2 2017/18 (October - December 2017)

  • Migrate a subset of jobs to the new job queue implementation.
  • Identify needs for the migration of the remaining jobs.
  • Document metrics and common operational tasks.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 6 2017, 8:04 PM
GWicke renamed this task from Services Q1 2017/18 goal: Migrate most jobs to multi-DC enabled event processing infrastructure. to Services Q1 2017/18 goal: Migrate a subset of jobs to multi-DC enabled event processing infrastructure..Sep 6 2017, 8:04 PM
GWicke renamed this task from Services Q1 2017/18 goal: Migrate a subset of jobs to multi-DC enabled event processing infrastructure. to Services Q2 2017/18 goal: Migrate a subset of jobs to multi-DC enabled event processing infrastructure..
Restricted Application added a project: Analytics. · View Herald TranscriptSep 7 2017, 9:53 AM
mforns moved this task from Incoming to Radar on the Analytics board.Sep 28 2017, 3:41 PM

Change 391166 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[operations/mediawiki-config@master] JobQueue: Switch RecordLintJob to EventBus

https://gerrit.wikimedia.org/r/391166

Change 391167 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/change-propagation/jobqueue-deploy@master] Config: Process RecordLintJob via CPJQ

https://gerrit.wikimedia.org/r/391167

Change 391167 merged by Ppchelko:
[mediawiki/services/change-propagation/jobqueue-deploy@master] Config: Process RecordLintJob via CPJQ

https://gerrit.wikimedia.org/r/391167

Change 391166 merged by jenkins-bot:
[operations/mediawiki-config@master] JobQueue: Switch RecordLintJob to EventBus

https://gerrit.wikimedia.org/r/391166

Mentioned in SAL (#wikimedia-operations) [2017-11-14T09:59:28Z] <mobrovac@tin> Synchronized wmf-config/jobqueue.php: JobQueue: Migrate RecordLintJob to EventBus - T175212 (duration: 00m 46s)

Change 393734 had a related patch set uploaded (by Mobrovac; owner: Ppchelko):
[operations/mediawiki-config@master] [JobQueue] Only produce wikibase-addUsagesForPage to EventBus

https://gerrit.wikimedia.org/r/393734

Change 393734 merged by jenkins-bot:
[operations/mediawiki-config@master] [JobQueue] Only produce wikibase-addUsagesForPage to EventBus

https://gerrit.wikimedia.org/r/393734

Mentioned in SAL (#wikimedia-operations) [2017-11-28T10:44:08Z] <mobrovac@tin> Synchronized wmf-config/jobqueue.php: Process wikibase-addUsagesForPage only via EventBus - T175212 (duration: 00m 44s)

mobrovac closed this task as Resolved.
mobrovac added a subscriber: mobrovac.

For all intents and purposes, this task has been completed.